module Constants exposing (..)

import FontAwesome exposing (..)
import Color


colors =
    -- Colors generated with http://tools.medialab.sciences-po.fr/iwanthue/
    -- TODO: There are certainly better color sets available, but this will do for now
    -- [ ( 210, 75, 82 ), ( 82, 199, 43 ), ( 195, 72, 230 ), ( 159, 189, 35 ), ( 113, 64, 207 ), ( 83, 185, 75 ), ( 140, 106, 245 ), ( 168, 179, 52 ), ( 212, 67, 193 ), ( 63, 182, 116 ), ( 178, 101, 223 ), ( 111, 156, 59 ), ( 96, 99, 209 ), ( 209, 159, 45 ), ( 89, 129, 221 ), ( 237, 60, 27 ), ( 164, 104, 193 ), ( 230, 133, 31 ), ( 205, 83, 173 ), ( 181, 147, 59 ), ( 211, 72, 127 ), ( 218, 76, 35 ), ( 196, 102, 50 ), ( 216, 62, 57 ) ]
    [ ( 0, 31, 62 ), ( 0, 116, 217 ), ( 128, 219, 255 ), ( 57, 204, 204 ), ( 61, 153, 112 ), ( 46, 204, 64 ), ( 1, 255, 112 ), ( 255, 220, 0 ), ( 255, 133, 27 ), ( 255, 65, 54 ), ( 133, 20, 75 ), ( 240, 18, 190 ), ( 177, 13, 201 ), ( 17, 17, 17 ), ( 170, 170, 170 ), ( 221, 221, 221 ) ]
        |> List.map (\( r, b, g ) -> Color.rgb r b g)


fallbackColor =
    Color.rgb 255 255 255


fallbackIcon =
    fa_500px


icons =
    [ fa_500px, adjust, adn, align_center, align_justify, align_left, align_right, amazon, ambulance, anchor, android, angellist, angle_double_down, angle_double_left, angle_double_right, angle_double_up, angle_down, angle_left, angle_right, angle_up, apple, archive, area_chart, arrow_circle_down, arrow_circle_left, arrow_circle_o_down, arrow_circle_o_left, arrow_circle_o_right, arrow_circle_o_up, arrow_circle_right, arrow_circle_up, arrow_down, arrow_left, arrow_right, arrow_up, arrows_alt, arrows_h, arrows_v, arrows, asterisk, at, automobile, backward, balance_scale, ban, bank, bar_chart_o, bar_chart, barcode, bars, battery_0, battery_1, battery_2, battery_3, battery_4, battery_empty, battery_full, battery_half, battery_quarter, battery_three_quarters, bed, beer, behance_square, behance, bell_o, bell_slash_o, bell_slash, bell, bicycle, binoculars, birthday_cake, bitbucket_square, bitbucket, bitcoin, black_tie, bluetooth_b, bluetooth, bold, bolt, bomb, book, bookmark_o, bookmark, briefcase, btc, bug, building_o, building, bullhorn, bullseye, bus, cab, calculator, calendar_check_o, calendar_minus_o, calendar_o, calendar_plus_o, calendar_times_o, calendar, camera_retro, camera, car, caret_down, caret_left, caret_right, caret_square_o_down, caret_square_o_left, caret_square_o_right, caret_square_o_up, caret_up, cart_arrow_down, cart_plus, cc_amex, cc_diners_club, cc_discover, cc_jcb, cc_mastercard, cc_paypal, cc_stripe, cc_visa, cc, certificate, chain_broken, chain, check_circle_o, check_circle, check_square_o, check_square, check, chevron_circle_down, chevron_circle_left, chevron_circle_right, chevron_circle_up, chevron_down, chevron_left, chevron_right, chevron_up, child, chrome, circle_o_notch, circle_o, circle_thin, circle, clipboard, clock_o, clone, close, cloud_download, cloud_upload, cloud, cny, code_fork, code, codepen, codiepie, coffee, cog, cogs, columns, comment_o, comment, commenting_o, commenting, comments_o, comments, compass, compress, connectdevelop, contao, copy, copyright, creative_commons, credit_card_alt, credit_card, crop, crosshairs, css3, cube, cubes, cut, cutlery, dashboard, dashcube, database, dedent, delicious, desktop, deviantart, diamond, digg, dollar, dot_circle_o, download, dribbble, dropbox, drupal, edge, edit, eject, ellipsis_h, ellipsis_v, empire, envelope_o, envelope_square, envelope, eraser, eur, euro, exchange, exclamation_circle, exclamation_triangle, exclamation, expand, expeditedssl, external_link_square, external_link, eye_slash, eye, eyedropper, facebook_f, facebook_official, facebook_square, facebook, fast_backward, fast_forward, fax, feed, female, fighter_jet, file_archive_o, file_audio_o, file_code_o, file_excel_o, file_image_o, file_movie_o, file_o, file_pdf_o, file_photo_o, file_picture_o, file_powerpoint_o, file_sound_o, file_text_o, file_text, file_video_o, file_word_o, file_zip_o, file, files_o, film, filter, fire_extinguisher, fire, firefox, flag_checkered, flag_o, flag, flash, flask, flickr, floppy_o, folder_o, folder_open_o, folder_open, folder, font, fonticons, fort_awesome, forumbee, forward, foursquare, frown_o, futbol_o, gamepad, gavel, gbp, ge, gear, gears, genderless, get_pocket, gg_circle, gg, gift, git_square, git, github_alt, github_square, github, gittip, glass, globe, google_plus_square, google_plus, google_wallet, google, graduation_cap, gratipay, group, h_square, hacker_news, hand_grab_o, hand_lizard_o, hand_o_down, hand_o_left, hand_o_right, hand_o_up, hand_paper_o, hand_peace_o, hand_pointer_o, hand_rock_o, hand_scissors_o, hand_spock_o, hand_stop_o, hashtag, hdd_o, header, headphones, heart_o, heart, heartbeat, history, home, hospital_o, hotel, hourglass_1, hourglass_2, hourglass_3, hourglass_end, hourglass_half, hourglass_o, hourglass_start, hourglass, houzz, html5, i_cursor, ils, image, inbox, indent, industry, info_circle, info, inr, instagram, institution, internet_explorer, intersex, ioxhost, italic, joomla, jpy, jsfiddle, key, keyboard_o, krw, language, laptop, lastfm_square, lastfm, leaf, leanpub, legal, lemon_o, level_down, level_up, life_bouy, life_buoy, life_ring, life_saver, lightbulb_o, line_chart, link, linkedin_square, linkedin, linux, list_alt, list_ol, list_ul, list, location_arrow, lock, long_arrow_down, long_arrow_left, long_arrow_right, long_arrow_up, magic, magnet, mail_forward, mail_reply_all, mail_reply, male, map_marker, map_o, map_pin, map_signs, map, mars_double, mars_stroke_h, mars_stroke_v, mars_stroke, mars, maxcdn, meanpath, medium, medkit, meh_o, mercury, microphone_slash, microphone, minus_circle, minus_square_o, minus_square, minus, mixcloud, mobile_phone, mobile, modx, money, moon_o, mortar_board, motorcycle, mouse_pointer, music, navicon, neuter, newspaper_o, object_group, object_ungroup, odnoklassniki_square, odnoklassniki, opencart, openid, opera, optin_monster, outdent, pagelines, paint_brush, paper_plane_o, paper_plane, paperclip, paragraph, paste, pause_circle_o, pause_circle, pause, paw, paypal, pencil_square_o, pencil_square, pencil, percent, phone_square, phone, photo, picture_o, pie_chart, pied_piper_alt, pied_piper, pinterest_p, pinterest_square, pinterest, plane, play_circle_o, play_circle, play, plug, plus_circle, plus_square_o, plus_square, plus, power_off, print, product_hunt, puzzle_piece, qq, qrcode, question_circle, question, quote_left, quote_right, ra, random, rebel, recycle, reddit_alien, reddit_square, reddit, refresh, registered, remove, renren, reorder, repeat, reply_all, reply, retweet, rmb, road, rocket, rotate_left, rotate_right, rouble, rss_square, rss, rub, ruble, rupee, safari, save, scissors, scribd, search_minus, search_plus, search, sellsy, send_o, send, server, share_alt_square, share_alt, share_square_o, share_square, share, shekel, sheqel, shield, ship, shirtsinbulk, shopping_bag, shopping_basket, shopping_cart, sign_in, sign_out, signal, simplybuilt, sitemap, skyatlas, skype, slack, sliders, slideshare, smile_o, soccer_ball_o, sort_alpha_asc, sort_alpha_desc, sort_amount_asc, sort_amount_desc, sort_asc, sort_desc, sort_down, sort_numeric_asc, sort_numeric_desc, sort_up, sort, soundcloud, space_shuttle, spinner, spoon, spotify, square_o, square, stack_exchange, stack_overflow, star_half_empty, star_half_full, star_half_o, star_half, star_o, star, steam_square, steam, step_backward, step_forward, stethoscope, sticky_note_o, sticky_note, stop_circle_o, stop_circle, stop, street_view, strikethrough, stumbleupon_circle, stumbleupon, subscript, subway, suitcase, sun_o, superscript, support, table, tablet, tachometer, tag, tags, tasks, taxi, television, tencent_weibo, terminal, text_height, text_width, th_large, th_list, th, thumb_tack, thumbs_down, thumbs_o_down, thumbs_o_up, thumbs_up, ticket, times_circle_o, times_circle, times, tint, toggle_down, toggle_left, toggle_off, toggle_on, toggle_right, toggle_up, trademark, train, transgender_alt, transgender, trash_o, trash, tree, trello, tripadvisor, trophy, truck, try, tty, tumblr_square, tumblr, turkish_lira, tv, twitch, twitter_square, twitter, umbrella, underline, undo, university, unlink, unlock_alt, unlock, unsorted, upload, usb, usd, user_md, user_plus, user_secret, user_times, user, users, venus_double, venus_mars, venus, viacoin, video_camera, vimeo_square, vimeo, vine, vk, volume_down, volume_off, volume_up, warning, wechat, weibo, weixin, whatsapp, wheelchair, wifi, wikipedia_w, windows, won, wordpress, wrench, xing_square, xing, y_combinator_square, y_combinator, yahoo, yc_square, yc, yelp, yen, youtube_play, youtube_square, youtube ]
